<?xml version="1.0" encoding="UTF-8" ?> <!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yeejoin.amos.fas.business.dao.mapper.FireStrengthMapper">


<!--	<select id="queryOne" resultType="java.util.Map">-->
<!--			SELECT-->
<!--				id,-->
<!--				username,-->
<!--				`code`,-->
<!--				position,-->
<!--				tel,-->
<!--				phone_num,-->
<!--				job_des,-->
<!--				remark,-->
<!--				org_code,-->
<!--				create_by,-->
<!--				create_date,-->
<!--				day_end dayEnd,-->
<!--				day_begin dayBegin-->
<!--			FROM-->
<!--				f_fire_strength-->
<!--			WHERE-->
<!--			 id = #{id}-->
<!--	</select>-->

<!--	<select id="queryCountForPage" resultType="long">-->

<!--		SELECT-->
<!--		COUNT(1)-->
<!--		FROM-->
<!--		f_fire_strength fs-->
<!--		WHERE-->
<!--		1=1-->
<!--		<if test="username!=null">-->
<!--			AND (fs.username LIKE '%${username}%' or fs.`code` LIKE '%${username}%')-->
<!--		</if>-->
<!--		<if test="code!=null">-->
<!--			AND fs.`code` LIKE '%${code}%';-->
<!--		</if>-->
<!--	</select>-->
<!--	<select id="queryForPage" resultType="java.util.Map">-->


<!--		SELECT-->
<!--		*-->
<!--		FROM-->
<!--		f_fire_strength fs-->
<!--		WHERE-->
<!--		1=1-->

<!--		<if test="username!=null">-->
<!--			AND (fs.username LIKE '%${username}%' or fs.`code` LIKE '%${username}%')-->
<!--		</if>-->
<!--		<if test="code!=null">-->
<!--			AND fs.`code` LIKE '%${code}%';-->
<!--		</if>-->
<!--		LIMIT ${start},${length} ;-->

<!--	</select>-->



<!--	<select id="queryForStrengthList" resultType="com.yeejoin.amos.fas.dao.entity.FireStrength">-->
<!--		SELECT-->
<!--			* -->
<!--		FROM-->
<!--			f_fire_strength t -->
<!--		WHERE-->
<!--			TIME_TO_SEC(#{time}) &gt;= TIME_TO_SEC( t.day_begin ) -->
<!--			AND TIME_TO_SEC(#{time}) &lt;= TIME_TO_SEC(-->
<!--			t.day_end)-->
<!--	</select>-->
	
<!--		<insert id="save" parameterType="com.yeejoin.amos.fas.dao.entity.FireStrength">-->
<!--           INSERT INTO f_fire_strength-->
<!--				username,-->
<!--				`code`,-->
<!--				position,-->
<!--				tel,-->
<!--				phone_num,-->
<!--				job_des,-->
<!--				remark,-->
<!--				org_code,-->
<!--				create_by,-->
<!--				create_date,-->
<!--				day_end ,-->
<!--				day_begin -->
<!--			VALUES(#{username},#{code},#{position},#{tel},#{phoneNum},#{jobDes},#{remark},#{orgCode},#{createBy},NOW(),#{dayEnd},#{dayBegin})-->
<!--	</insert>-->

</mapper>